--if(!CLIENT) then return end
function PetModHUD()
	local Trace = util.GetPlayerTrace(LocalPlayer())
	local tr = util.TraceLine(Trace)
	local entity = tr.Entity
	if(!tr.Hit) then return end
	if(!tr.HitNonWorld) then return end
	if(entity:IsValid() && entity:IsNPC()) then
		for k,ply in pairs(player.GetAll()) do
			if(ply:GetNetworkedString("HasPet") == "Yes" && ply:GetNetworkedEntity("Pet") == entity) then
				local Gender = ply:GetNetworkedString("Gender")
				local PetAge = ply:GetNetworkedString("PetAge")
				local PetName = ply:GetNetworkedString("PetName")
				
				local Pos = entity:GetPos() - LocalPlayer():GetPos()
				local Leng = Pos:Length()
				if(Leng < 128) then
					Leng = 128
				end
				local Alpha  = math.max(math.min(255 - ((255 / 1024) * Leng), 255), 0)
				local TeamCol = team.GetColor(ply:Team())
				TeamCol.a = Alpha				
				local x, y = gui.MousePos()
				
				--Health Stuff
				local Health = ply:GetNetworkedString("PetHealth") / ply:GetNetworkedString("PetMaxHealth") * 150
				Health = math.Clamp(Health, 0, 72)
				
				--local Health = math.Clamp((72 / 100) * ply:GetNetworkedString("PetHealth") / ply:GetNetworkedString("PetMaxHealth"), 0, 72)
				draw.RoundedBox(0, x - 36, y + 8, 72, 8, Color(255, 255, 255, Alpha))
				draw.RoundedBox(0, x - 36, y + 8, Health, 8, TeamCol)
				draw.SimpleText("Owner: "..ply:Nick(), "ChatFont", x, y + 32, Color(255, 255, 255, Alpha), 1, 1)
				draw.SimpleText("Name: "..PetName, "ChatFont", x, y + 48, Color(255, 255, 255, Alpha), 1, 1)
				draw.SimpleText("Age: "..PetAge, "ChatFont", x, y + 64, Color(255, 255, 255, Alpha), 1, 1)
				draw.SimpleText("Gender: "..Gender, "ChatFont", x, y + 80, Color(255, 255, 255, Alpha), 1, 1)
				return
			end
		end
	end
end
hook.Add("HUDPaint", "PetModHUD", PetModHUD)

function Make_PetPanel( CPanel )
	--spawnmenu.AddContext("Options", "Spacetech's Pet Mod", "Spacetech's Pet Mod", "Spacetech's Pet Mod Menu")
	--local CPanel = GetControlPanel("Spacetech's Pet Mod")

	CPanel:ClearControls()
	CPanel:AddHeader()
	
	CPanel:AddControl("Button", {
		--Label = "",
		Description = "Gets the current version of SPet Mod",
		Text = "SPet Version Information",
		Command = "say /spet",
	})
	
	CPanel:AddControl("Button", {
		--Label = "",
		Description = "Gets all of the available pet commands",
		Text = "Pet Commands",
		Command = "say /pet",
	})

	CPanel:AddControl("Button", {
		--Label = "",
		Description = "Gets your pets name, health, age, gender, and type",
		Text = "Pet Info",
		Command = "say /petinfo",
	})
	
	CPanel:AddControl("TextBox", {
		Label = "Adopt:",
		MaxLength = 25,
		Text = "Enter the name of the pet you want to adopt here",
		Command = "say /adopt",
		WaitForEnter = 1,
	})

	CPanel:AddControl("TextBox", {
		Label = "Name:",
		MaxLength = 30,
		Text = "Enter your pet's name here",
		Command = "say /name",
		WaitForEnter = 1,
	})

	CPanel:AddControl("TextBox", {
		Label = "Attack:",
		MaxLength = 50,
		Text = "Enter the person you want your pet to attack here",
		Command = "say /attack",
		WaitForEnter = 1,
	})
	
	CPanel:AddControl("TextBox", {
		Label = "Leash:",
		MaxLength = 50,
		Text = "Enter the radius of the leash here (keep blank if your unleashing your pet",
		Command = "say /leash",
		WaitForEnter = 1,
	})
	
	CPanel:AddControl("Button", {
		--Label = "",
		Description = "Moves your pet to the location your looking at",
		Text = "Move",
		Command = "say /move",
	})

	CPanel:AddControl("Button", {
		--Label = "",
		Description = "Your pet will follow / not follow you",
		Text = "Toggle Follow",
		Command = "say /follow",
	})

	CPanel:AddControl("Button", {
		--Label = "",
		Description = "Your pet will stay / not stay in it's current position",
		Text = "Toggle Stay",
		Command = "say /stay",
	})
	
	CPanel:AddControl("Button", {
		--Label = "",
		Description = "Heals your pet",
		Text = "Heal",
		Command = "say /heal",
	})

	CPanel:AddControl("Button", {
		--Label = "",
		Description = "Feeds your pet food so it won't be hungry",
		Text = "Feed",
		Command = "say /feed",
	})

	CPanel:AddControl("Button", {
		--Label = "",
		Description = "Releases your pet into the wild",
		Text = "Release",
		Command = "say /release",
	})
end

function  petmodcat()
spawnmenu.AddToolCategory( "Options", "Spacetech's Pet Mod", "Spacetech's Pet Mod" )
end
hook.Add( "AddToolMenuCategories", "petmodcat", petmodcat )
 
function petmodmenu()
spawnmenu.AddToolMenuOption( "Options", "Spacetech's Pet Mod",   "Spacetech's Pet Mod",   "Spacetech's Pet Mod Menu",    "",    "", Make_PetPanel )
end
hook.Add( "PopulateToolMenu", "petmodmenu", petmodmenu )


Make_PetPanel()

